# Docker image create tests

## local build and upload
- login to docker registry on the host
  - `docker login dockerhub.fokus.fraunhofer.de:5000`

### with kaniko
```bash
docker run -it --rm -v ~/.docker:/kaniko/.docker:ro -v $(pwd):/foo:ro gcr.io/kaniko-project/executor:v1.9.0-debug \
  --context /foo --dockerfile /foo/Dockerfile_alpine --build-arg=ALPINE_VERSION=latest \
  --destination dockerhub.fokus.fraunhofer.de:5000/bjoern.riemer/kanikotest/kaniko_alpine:latest

docker run -it --rm -v ~/.docker:/kaniko/.docker:ro -v $(pwd):/foo:ro gcr.io/kaniko-project/executor:v1.9.0-debug \
  --context /foo --dockerfile /foo/Dockerfile_debian --build-arg=X_VERSION=buster \
  --destination dockerhub.fokus.fraunhofer.de:5000/bjoern.riemer/kanikotest/kaniko_debian:buster

docker run -it --rm -v ~/.docker:/kaniko/.docker:ro -v $(pwd):/foo:ro gcr.io/kaniko-project/executor:v1.9.0-debug \
  --context /foo --dockerfile /foo/Dockerfile_ubuntu --build-arg=UBUNTU_VERSION=22.04 \
  --destination dockerhub.fokus.fraunhofer.de:5000/bjoern.riemer/kanikotest/kaniko_ubuntu:22.04
```

### with docker
```bash
docker build -t dockerhub.fokus.fraunhofer.de:5000/bjoern.riemer/kanikotest/docker_alpine:latest --build-arg=ALPINE_VERSION=latest . -f Dockerfile_alpine \
  && docker push dockerhub.fokus.fraunhofer.de:5000/bjoern.riemer/kanikotest/docker_alpine:latest

docker build -t dockerhub.fokus.fraunhofer.de:5000/bjoern.riemer/kanikotest/docker_ubuntu:22.04 --build-arg=UBUNTU_VERSION=22.04 . -f Dockerfile_ubuntu \
  && docker push dockerhub.fokus.fraunhofer.de:5000/bjoern.riemer/kanikotest/docker_ubuntu:22.04

docker build -t dockerhub.fokus.fraunhofer.de:5000/bjoern.riemer/kanikotest/docker_debian:buster --build-arg=X_VERSION=buster . -f Dockerfile_debian \
  && docker push dockerhub.fokus.fraunhofer.de:5000/bjoern.riemer/kanikotest/docker_debian:buster
```

### with ci file

check [.gitlab-ci.yml](https://gitlab.fokus.fraunhofer.de/bjoern.riemer/kanikotest/-/blob/main/.gitlab-ci.yml)
